{{- if and .Values.podSecurityPolicy.enabled .Values.podSecurityPolicy.create }}
apiVersion: policy/v1beta1
kind: PodSecurityPolicy
metadata:
  name: {{ include "generate.pspName" . }}
  labels:
    {{- include "generate.labels" . | nindent 4 }}
  {{- with .Values.podSecurityPolicy.annotations }}
  annotations:
    {{- toYaml . | nindent 4 }}
  {{- end }}
spec:
  allowPrivilegeEscalation: false
  {{- if .Values.podSecurityPolicy.allowedCapabilities -}}
  {{- with .Values.podSecurityPolicy.allowedCapabilities }}
  allowedCapabilities:
    {{- toYaml . | nindent 4 }}
  {{- end }}
  {{- else }}
  requiredDropCapabilities:
    - ALL
  {{- end }}
  fsGroup:
    rule: RunAsAny
  hostIPC: false
  hostNetwork: {{ .Values.hostNetwork }}
  hostPID: false
  {{- if .Values.hostNetwork }}
  hostPorts:
    - min: 1
      max: 65535
  {{- end }}
  privileged: false
  readOnlyRootFilesystem: true
  runAsGroup:
    rule: RunAsAny
  runAsUser:
    rule: RunAsAny
  seLinux:
    rule: RunAsAny
  supplementalGroups:
    rule: MustRunAs
    ranges:
      - min: 1
        max: 65535
  volumes:
    - secret
    - configMap
    - emptyDir
    - projected
    - downwardAPI
    - hostPath
{{- end }}
